%global commit 48689ae7a73caeb747953f9ed664dc71d2f918d8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20230517
%global fgittag %{gitdate}.git%{shortcommit}

%global major 0
%global libname %mklibname cubeb %{major}
%global devname %mklibname cubeb -d

%define rel 2

%bcond_with check

Name:           cubeb
Version:        0.2
Release:        %mkrel %{?fgittag:0.%{fgittag}.}%{rel}
Summary:        A cross platform audio library
Group:          System/Libraries

#cubeb is ISC, sanitizers-cmake is MIT
#excluding the following files which are BSD 3-clause:
#/src/speex/arch.h
#/src/speex/fixed_generic.h
#/src/speex/resample.c
#/src/speex/resample_neon.h
#/src/speex/resample_sse.h
#/src/speex/speex_resampler.h
#/src/speex/stack_alloc.h
# Automatically converted from old format: ISC and BSD and MIT - review is highly recommended.
License:        ISC AND LicenseRef-Callaway-BSD AND LicenseRef-Callaway-MIT
URL:            https://github.com/mozilla/cubeb
Source0:        https://github.com/mozilla/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  alsa-lib-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  jack-audio-connection-kit-devel
#BuildRequires:  pulseaudio-libs-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  speexdsp-devel

#Taken from the mozilla blog:
#https://blog.mozilla.org/webrtc/firefoxs-audio-backend/
#Which is licensed CC-BY-SA 3.0
%description
Cubeb is a cross-platform library, written in C/C++, that was created and has
been maintained by the Firefox Media Team.

The role of the library is to communicate with audio devices and to provide
audio input and/or output.

%package -n %{libname}
Summary:        A cross platform audio library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:	%{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
Cubeb is a cross-platform library, written in C/C++, that was created and has
been maintained by the Firefox Media Team.

The role of the library is to communicate with audio devices and to provide
audio input and/or output.

%package -n %{devname}
Summary:        A cross platform audio library
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
Cubeb is a cross-platform library, written in C/C++, that was created and has
been maintained by the Firefox Media Team.

The role of the library is to communicate with audio devices and to provide
audio input and/or output.

%prep
%autosetup -p1 -n %{name}-%{commit}

#Fix version
sed -i -e 's/\([^(]VERSION\)\s\+"*[0-9]\+\(\.[0-9]\+\)\+"*/\1 %{version}/' CMakeLists.txt

#Clean up Android files
rm -rf src/android

#Clean up the README.md, we don't need building information:
sed -i -e "/^\[!/d" -e "/INSTALL.md/d" README.md

%build
%cmake -DBUILD_SHARED_LIBS=ON -DBUILD_TESTS=%{?with_check:ON}%{?!with_check:OFF} -DUSE_SANITIZERS=OFF -DBUILD_TOOLS=OFF
%cmake_build

%install
%cmake_install

%if %{with check}
%check
#Run only the tests known to work in mock/chroot:
%ctest -R "(record|resampler|duplex|triple_buffer|ring_array|utils|ring_buffer|device_changed_callback)"
%endif

%files -n %{libname}
%license LICENSE
%{_libdir}/libcubeb.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%doc %{_docdir}/%{name}
%{_libdir}/libcubeb.so
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/


%changelog
* Sat Jul 12 2025 daviddavid <daviddavid> 0.2-0.20230517.git48689ae.2.mga10
+ Revision: 2253370
- Mageia 10 Mass Rebuild

* Sun Oct 06 2024 wally <wally> 0.2-0.20230517.git48689ae.1.mga10
+ Revision: 2103918
- import based on .spec from Fedora

